/*
 * areasetup.h
 * 
 * Area parameter widget. 
 * 
 * Copyright (c) 2002 by Wolfgang Wieser (wwieser@gmx.de) 
 * 
 * This file may be distributed and/or modified under the terms of the 
 * GNU General Public License version 2 as published by the Free Software 
 * Foundation. 
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * 
 */

#ifndef _BURN_QTXGUI_AREASETUP_H_
#define _BURN_QTXGUI_AREASETUP_H_ 1

#include <Qt/qwidget.h>


struct AreaSetupPars
{
	bool valid;
	int width,height;
	int torus_area;
	
	AreaSetupPars()  {  valid=false;  }
	~AreaSetupPars()  { }
};


class QSpinBox;
class QLineEdit;
class QCheckBox;

class AreaSetupDialog : public QWidget
{
	Q_OBJECT
	private:
		QSpinBox *widthi,*heighti;
		QCheckBox *torus_area;
	signals:
		void change_area_setup(AreaSetupPars *);
		void get_area_setup(AreaSetupPars *);
	private slots:
		void cancel_pressed();
		void ok_pressed();
	public slots:
		void map();
	public:
		AreaSetupDialog(QWidget *parent=NULL,const char *name=NULL,WFlags f=0);
		~AreaSetupDialog();
};

#endif /* _BURN_QTXGUI_AREASETUP_H_ */
