/*
 * burnprop.h
 * 
 * Burn propability input dialog. 
 * 
 * Copyright (c) 2002 by Wolfgang Wieser (wwieser@gmx.de) 
 * 
 * This file may be distributed and/or modified under the terms of the 
 * GNU General Public License version 2 as published by the Free Software 
 * Foundation. 
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * 
 */

#ifndef _BURN_GUI_BURNPROP_H_
#define _BURN_GUI_BURNPROP_H_ 1

//#include <burncore/burncore.h>

#include <Qt/qtabwidget.h>

class QSpinBox;


class BurnPropDialog : public QTabWidget
{
	Q_OBJECT
	private:
		QSpinBox *burn_prop[3][3];
		
		QSpinBox *wp_force,*wp_direct,*wp_combus;
		
		void _UpdateBurnProp();
	private slots:
		void prop_change();
	public slots:
		void windparam_change();
	signals:
		// Emitted on change: 
		void burn_prop_change(double *bprop);
		// Emitted so that somebody else can fill in the current values. 
		// MUST be connected!
		void burn_prop_request(double *bprop);
	public:
		BurnPropDialog(QWidget *parent,const char *name=NULL,WFlags f=0);
		~BurnPropDialog();
		
		void Update()
			{  _UpdateBurnProp();  }
};

#endif  /* _BURN_GUI_BURNPROP_H_ */
